Bug 88429 - latest stable version is 8.4.2
latest stable version is 8.4.2
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: tcltk (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Bill Huang
http://www.tcl.tk/software/tcltk/
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-09 21:35 EDT by acount closed by user
Modified: 2007-04-18 12:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 17:43:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description acount closed by user 2003-04-09 21:35:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913

Description of problem:
New Tcl/Tk 8.4 Features

    * 64-bit file system support (where the OS supports it)
    * 64-bit expr support at the Tcl level (even on 32-bit OSes)
    * serial port support (Windows / Unix)
    * numerous performance enhancements
    * support for starkits (aka scripted documents)
    * improved escape-based encoding support (i.e. iso2022-jp)
    * improved threading support
    * new virtual file system
    * new lset command
    * command enhancements (regsub, trace, lindex, lsearch)
    * new eq and ne operators for expr
    * updated tcltest, http and msgcat packages
    * widget enhancements
    * new spinbox, panedwindow and labelframe widgets
    * compound buttons / labels / menu items
    * undo/redo support in the text widget
    * native Aqua support for OS X
    * improved image transparency support
    * platform specific wm attributes command
    * extended documentation 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.-
2.-
3.-
    

Additional info:
Comment 1 acount closed by user 2003-04-09 21:37:26 EDT
Tcl/Tk 8.4 is the latest stable release of Tcl/Tk.

Tcl 8.4 is highly compatible with Tcl 8.3 through Tcl 8.1. Users of those
versions should have no troubles upgrading. It introduces new core widgets,
significant performance enhancements, numerous command enhancements and improved
64-bit integer and file system support, among other things. It was several years
in development. 
Comment 2 acount closed by user 2003-09-25 18:02:35 EDT
not ready for Fedora 1.0, it's a pity
Comment 3 Jeff Johnson 2003-10-27 09:15:38 EST
tcl/tk 8.4.4 packags compatible with FC are at
    cvs -d :pserverLanaoncvs@cvs.colug.net:/home/cvs login
    (no password, just CR)
    cvs -d :pserverLanaoncvs@cvs.colug.net:/home/cvs get rawhide/tcltk
Other packages, like python, which need/use tcl, are there too.
Comment 4 Jeff Johnson 2003-11-18 20:19:39 EST
hmm, that should have been anoncvs@cvs.colug.net
Comment 5 Jens Petersen 2003-11-18 21:39:57 EST
8.4.4 packages are coming soon. :)
Comment 6 acount closed by user 2003-11-24 20:40:10 EST
8.4.5 has been released today ;-)
Comment 7 Jens Petersen 2003-11-28 07:52:41 EST
tcl and tk 8.4.5 should be appearing in "rawhide" shortly.

Note You need to log in before you can comment on or make changes to this bug.